Subject: Re: Giving more detail in pg_upgrade errormessage

From: Tom Lane <[email-masked]>
Date: Tue, 18 Jul 2023 12:04:20 -0400

Daniel Gustafsson <[email-masked]> writes:
> Looking at the upgrade question in [0] made me realize that we discard
> potentially useful information for troubleshooting.  When we check if the
> cluster is properly shut down we might as well include the status from
> pg_controldata in the errormessage as per the trivial (but yet untested)
> proposed diff.

> Is there a reason not to be verbose here as users might copy/paste this output
> when asking for help?

Agreed, but I think you need to chomp the string's trailing newline,
or it'll look ugly.  You might as well do that further up and remove
the newlines from the comparison strings, too.

			regards, tom lane